<form [formGroup]="forma" (ngSubmit)="submit" #formControl="ngForm">

      <mat-card style="margin-top: 15px; width: 600px; text-align: center">
        <mat-card-header layout-align="center center">
          <mat-card-title>Inicio de sesión</mat-card-title>
        </mat-card-header>

        <mat-card-content>
          <div class="row mx-md-5">
            <div class="col px-md-5">
              <mat-form-field>
                  <input matInput placeholder="usuario" #user formControlName="user" class="form-control">
              </mat-form-field>
            </div>
          </div>

            <div class="row mx-md-5">
              <div class="col px-md-5">
                <mat-form-field>
                  <input matInput placeholder="contraseña" #user formControlName="pwd" class="form-control">
                </mat-form-field>
              </div>
            </div>
        </mat-card-content>

        <mat-card-actions>
          <div class="row mx-md-3">
            <div class="col px-md-3">
              <button [type]="submit" mat-raised-button color="primary" class="custom"
              [disabled]="!formControl.valid" (click)="update()">OK</button>
            </div>
            <div class="col px-md-3">
              <button mat-raised-button color="warm" class="custom"
              (click)="onNoClick()" type="button" mat-raised-button color="warn">Cancelar</button>
            </div>
          </div>
        </mat-card-actions>
      </mat-card>
</form>
